Bug 473841 - glitz was not installed along with cairo-dock
glitz was not installed along with cairo-dock
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: glitz (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Work
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 19:59 EST by Jonathan Steffan
Modified: 2009-12-13 10:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-13 10:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Log (29.76 KB, text/plain)
2008-12-05 18:37 EST, Jonathan Steffan
no flags Details

  None (edit)
Description Jonathan Steffan 2008-11-30 19:59:03 EST
Description of problem:
For some reason glitz was not installed by anaconda when I selected cairo-dock for installation. I had to install glitz post-install to get cairo-dock to work. Reading the requires for cairo-dock ( Requires: libglitz.so.1()(64bit) ) it should have pulled it down.

Version-Release number of selected component (if applicable):
cairo-dock-1.6.3.1-1.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Select cairo-dock at install time.
  
Actual results:
cairo-dock will not start post-install, needing to install glitz

Expected results:
cairo-dock works

Additional info:
I ran the install with the x86_64 F10 Updates repo enabled, have not check to see if any updates have come out that might have broken this, or something along those lines.
Comment 1 Mamoru TASAKA 2008-11-30 21:25:02 EST
Well, I cannot guess what is happening here for now.
anaconda team, help?
Comment 2 Jeremy Katz 2008-12-01 12:00:59 EST
Can you attach /var/log/anaconda.log?
Comment 3 Jonathan Steffan 2008-12-05 18:37:13 EST
Created attachment 325933 [details]
Anaconda Log
Comment 4 Charlie Wyse 2009-03-10 17:18:41 EDT
glitz is not listed as a dependency for cairo-dock, just glitz-glx.  It should probably be added to cairo-dock spec file?

+Requires:   glitz
Comment 5 Chris Lumens 2009-07-28 16:29:52 EDT
If you're still seeing this issue in F12 alpha, could you please attach /tmp/yum.log to this bug report?  We should have much better visibility on what's happening with these sorts of bugs now.  Thanks.
Comment 6 Joel Andres Granados 2009-09-09 05:48:29 EDT
<snap>
[joel@dhcp-lab-139 Misc]$ repoquery whatprovides libglitz.so.1
[joel@dhcp-lab-139 Misc]$ repoquery whatprovides libglitz
[joel@dhcp-lab-139 Misc]$ repoquery whatprovides glitz
glitz-0:0.5.6-7.fc11.x86_64
glitz-0:0.5.6-7.fc11.i586
[joel@dhcp-lab-139 Misc]$ 
</snap>

The package should require glitz like comment #4 states.  reassigning.
Comment 7 Mamoru TASAKA 2009-09-09 05:57:19 EDT
(In reply to comment #6)
> <snap>
> [joel@dhcp-lab-139 Misc]$ repoquery whatprovides libglitz.so.1

This won't work if you're on 64 bit.
Comment 8 Jonathan Steffan 2009-11-08 14:00:28 EST
Please add:

Requires: glitz
Comment 9 Chris Lumens 2009-11-09 09:42:04 EST
You can always conditionalize Requires based on arch.
Comment 10 Bug Zapper 2009-11-18 04:05:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Eric Work 2009-12-03 11:31:08 EST
Was this ever resolved?  I think the solution here is to add glitz as a requires to cairo-dock.  If it's detected automatically, specified manually, or both is fine.  You don't have to do one or the other.  As the owner of "glitz" there isn't much I can do to resolve this problem.
Comment 12 Mamoru TASAKA 2009-12-13 10:11:49 EST
As F-10 updates request is closed, closing this bug anyway.

Note You need to log in before you can comment on or make changes to this bug.